org.apache.poi.hssf.record

## Class DVRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.DVRecord

- All Implemented Interfaces:
    Duplicatable

      public final class DVRecord
      extends StandardRecord

  This record stores data validation settings and a list of cell ranges which contain these settings. The data validation settings of a sheet are stored in a sequential list of DV records. This list is followed by DVAL record(s)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVRecord(DVRecord other)`
    `DVRecord(int validationType, int operator, int errorStyle, boolean emptyCellAllowed, boolean suppressDropDownArrow, boolean isExplicitList, boolean showPromptBox, java.lang.String promptTitle, java.lang.String promptText, boolean showErrorBox, java.lang.String errorTitle, java.lang.String errorText, Ptg[] formula1, Ptg[] formula2, CellRangeAddressList regions)`
    `DVRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DVRecord` | `clone()` Deprecated.
    `DVRecord` | `copy()` Clones the object.
    `CellRangeAddressList` | `getCellRangeAddress()`
    `int` | `getConditionOperator()` get the condition operator
    `protected int` | `getDataSize()`
    `int` | `getDataType()`
    `boolean` | `getEmptyCellAllowed()`
    `int` | `getErrorStyle()`
    `java.lang.String` | `getErrorText()`
    `java.lang.String` | `getErrorTitle()`
    `Ptg[]` | `getFormula1()`
    `Ptg[]` | `getFormula2()`
    `boolean` | `getListExplicitFormula()`
    `java.lang.String` | `getPromptText()`
    `java.lang.String` | `getPromptTitle()`
    `boolean` | `getShowErrorOnInvalidValue()`
    `boolean` | `getShowPromptOnCellSelected()`
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `getSuppressDropdownArrow()`
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DVRecord

          public DVRecord(DVRecord other)

    - #### DVRecord

          public DVRecord(int validationType,
                          int operator,
                          int errorStyle,
                          boolean emptyCellAllowed,
                          boolean suppressDropDownArrow,
                          boolean isExplicitList,
                          boolean showPromptBox,
                          java.lang.String promptTitle,
                          java.lang.String promptText,
                          boolean showErrorBox,
                          java.lang.String errorTitle,
                          java.lang.String errorText,
                          Ptg[] formula1,
                          Ptg[] formula2,
                          CellRangeAddressList regions)

    - #### DVRecord

          public DVRecord(RecordInputStream in)

  - ### Method Detail

    - #### getDataType

          public int getDataType()

      Returns:
        the condition data type
      See Also:
        `DataValidationConstraint.ValidationType`

    - #### getErrorStyle

          public int getErrorStyle()

      Returns:
        the condition error style
      See Also:
        `DataValidation.ErrorStyle`

    - #### getListExplicitFormula

          public boolean getListExplicitFormula()

      Returns:
        `true` if in list validations the string list is explicitly given in the formula, `false` otherwise

    - #### getEmptyCellAllowed

          public boolean getEmptyCellAllowed()

      Returns:
        `true` if empty values are allowed in cells, `false` otherwise

    - #### getSuppressDropdownArrow

          public boolean getSuppressDropdownArrow()

      Returns:
        `true` if drop down arrow should be suppressed when list validation is used, `false` otherwise

    - #### getShowPromptOnCellSelected

          public boolean getShowPromptOnCellSelected()

      Returns:
        `true` if a prompt window should appear when cell is selected, `false` otherwise

    - #### getShowErrorOnInvalidValue

          public boolean getShowErrorOnInvalidValue()

      Returns:
        `true` if an error window should appear when an invalid value is entered in the cell, `false` otherwise

    - #### getConditionOperator

          public int getConditionOperator()

      get the condition operator
      Returns:
        the condition operator
      See Also:
        `utility class`

    - #### getPromptTitle

          public java.lang.String getPromptTitle()

    - #### getErrorTitle

          public java.lang.String getErrorTitle()

    - #### getPromptText

          public java.lang.String getPromptText()

    - #### getErrorText

          public java.lang.String getErrorText()

    - #### getFormula1

          public Ptg[] getFormula1()

    - #### getFormula2

          public Ptg[] getFormula2()

    - #### getCellRangeAddress

          public CellRangeAddressList getCellRangeAddress()

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public DVRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public DVRecord copy()

      Clones the object.
      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.